Last Comment Bug 681893 - Fixups for MSVC > 8 after bug 678161
: Fixups for MSVC > 8 after bug 678161
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: mozilla9
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 696422
Blocks: msvc2010 678161 694371
  Show dependency treegraph
 
Reported: 2011-08-25 01:55 PDT by Mike Hommey [:glandium]
Modified: 2012-08-27 06:31 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Add the CRT dlls we don't use to the remove-files lists. Also fix inclusion of the MSVC 10 CRT in the js shell archive [Checked in: Comment 3] (2.67 KB, patch)
2011-08-25 02:02 PDT, Mike Hommey [:glandium]
khuey: review+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-08-25 01:55:17 PDT
One issue is in bug 678161 comment 11:

+ifeq ($(_MSC_VER),1500)
+JSSHELL_BINS += $(DIST)/bin/msvcr100.dll
+endif

1500 should be 1600.

Another issue is that we don't remove the CRT dlls for MSVC versions we don't build against.
Comment 1 Mike Hommey [:glandium] 2011-08-25 02:02:59 PDT
Created attachment 555677 [details] [diff] [review]
Add the CRT dlls we don't use to the remove-files lists. Also fix inclusion of the MSVC 10 CRT in the js shell archive
[Checked in: Comment 3]
Comment 2 Mike Hommey [:glandium] 2011-08-28 22:37:43 PDT
http://hg.mozilla.org/projects/build-system/rev/c37f23b36e54
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-31 08:01:41 PDT
http://hg.mozilla.org/mozilla-central/rev/c37f23b36e54
Comment 4 Serge Gautherie (:sgautherie) 2011-10-21 09:30:37 PDT
Isn't @BINPATH@ unneeded/unwanted in removed-files.in?
Comment 5 Mike Hommey [:glandium] 2011-10-21 09:34:28 PDT
Ah yes, that's true. Please file a followup bug.
Comment 6 Serge Gautherie (:sgautherie) 2011-10-21 10:30:11 PDT
(In reply to Mike Hommey [:glandium] from comment #5)
> Ah yes, that's true. Please file a followup bug.

I filed bug 696422.

Note You need to log in before you can comment on or make changes to this bug.